MONGOC_CLIENT_SESSION_GET_SERVER_ID(3)

NAME
mongoc_client_session_get_server_id - mongoc_client_session_get_server_id()

SYNOPSIS

        uint32_t
        mongoc_client_session_get_server_id (const mongoc_client_session_t *session);

Get the "server ID" of the mongos this mongoc_client_session_t is pinned to.

PARAMETERS

    •   session: A mongoc_client_session_t.

RETURNS

A server ID or 0 if this mongoc_client_session_t is not pinned.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc